Package weka.classifiers

# Class IteratedSingleClassifierEnhancer

java.lang.Object
weka.classifiers.Classifier
weka.classifiers.SingleClassifierEnhancer
weka.classifiers.IteratedSingleClassifierEnhancer

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `CapabilitiesHandler`, `OptionHandler`, `RevisionHandler`

Direct Known Subclasses:
  `AdditiveRegression`, `RandomizableIteratedSingleClassifierEnhancer`

public abstract class IteratedSingleClassifierEnhancer extends SingleClassifierEnhancer
Abstract utility class for handling settings common to meta classifiers that build an ensemble from a single base learner.

Version:
  $Revision: 1.4 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IteratedSingleClassifierEnhancer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`buildClassifier(Instances data)`
Stump method for building the classifiers.
`int`
`getNumIterations()`
Gets the number of bagging iterations
`String[]`
`getOptions()`
Gets the current settings of the classifier.
`Enumeration`
`listOptions()`
Returns an enumeration describing the available options.
`String`
`numIterationsTipText()`
Returns the tip text for this property
`void`
`setNumIterations(int numIterations)`
Sets the number of bagging iterations
`void`
`setOptions(String[] options)`
Parses a given list of options.

### Methods inherited from class weka.classifiers.SingleClassifierEnhancer

`classifierTipText, getCapabilities, getClassifier, setClassifier`

### Methods inherited from class weka.classifiers.Classifier

`classifyInstance, debugTipText, distributionForInstance, forName, getDebug, getRevision, makeCopies, makeCopy, setDebug`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IteratedSingleClassifierEnhancer

public IteratedSingleClassifierEnhancer()

## Method Details

### buildClassifier

public void buildClassifier(Instances data) throws Exception
Stump method for building the classifiers.

Specified by:
  `buildClassifier` in class `Classifier`
Parameters:
  `data` - the training data to be used for generating the bagged classifier.
Throws:
  `Exception` - if the classifier could not be built successfully

### listOptions

public Enumeration listOptions()
Returns an enumeration describing the available options.

Specified by:
  `listOptions` in interface `OptionHandler`
Overrides:
  `listOptions` in class `SingleClassifierEnhancer`
Returns:
  an enumeration of all the available options.

### setOptions

public void setOptions(String[] options) throws Exception
Parses a given list of options. Valid options are:

-W classname
Specify the full class name of the base learner.

-I num
Set the number of iterations (default 10).

Options after -- are passed to the designated classifier.

Specified by:
  `setOptions` in interface `OptionHandler`
Overrides:
  `setOptions` in class `SingleClassifierEnhancer`
Parameters:
  `options` - the list of options as an array of strings
Throws:
  `Exception` - if an option is not supported

### getOptions

public String[] getOptions()
Gets the current settings of the classifier.

Specified by:
  `getOptions` in interface `OptionHandler`
Overrides:
  `getOptions` in class `SingleClassifierEnhancer`
Returns:
  an array of strings suitable for passing to setOptions

### numIterationsTipText

public String numIterationsTipText()
Returns the tip text for this property

Returns:
  tip text for this property suitable for displaying in the explorer/experimenter gui

### setNumIterations

public void setNumIterations(int numIterations)
Sets the number of bagging iterations

### getNumIterations

public int getNumIterations()
Gets the number of bagging iterations

Returns:
  the maximum number of bagging iterations